
Name: moblin-web-browser
Summary: Moblin web browser
Group: Applications/Internet
Version: 2.1.2_20091027
License: LGPL
URL: http://www.moblin.org
Release: 7.4.moblin2
Source0: %{name}-%{version}.tar.bz2
Patch0: moblin-repack.patch
Patch1: mwb-oom-adj.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(clutter-1.0)
BuildRequires: pkgconfig(clutter-gtk-0.10)
BuildRequires: pkgconfig(clutter-mozembed-0.10)
BuildRequires: pkgconfig(nbtk-1.2)
BuildRequires: pkgconfig(unique-1.0)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(libstartup-notification-1.0)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(mhs-1.0)
BuildRequires: pkgconfig(moblin-panel)

BuildRequires: xulrunner-headless-devel
BuildRequires: gnome-common
BuildRequires: intltool
BuildRequires: gettext

AutoReq: 0
Requires: xulrunner-headless
Requires: clutter-mozembed
Requires: nbtk
Requires: mozilla-headless-services
Requires(post): %{_sbindir}/update-alternatives
Requires(postun): %{_sbindir}/update-alternatives


%description
Moblin web browser
%package panel

Summary: Moblin web panel
Group: Applications/Internet

AutoReq: 0
Requires: %{name} = %{version}-%{release}
Provides: panel(web)

%description panel
Description: %{summary}

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .moblin-repack
%patch1 -p1 -b .mwb-oom-adj

%build
%autogen --disable-static
unset LD_AS_NEEDED
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install


mv %{buildroot}/%{_bindir}/moblin-web-browser %{buildroot}/%{_bindir}/moblin-web-browser.moblin
mv %{buildroot}/usr/share/applications/moblin-web-browser.desktop %{buildroot}/usr/share/applications/moblin-web-browser.desktop.moblin
mv %{buildroot}%{_datadir}/dbus-1/services/org.moblin.UX.Shell.Panels.internet.service %{buildroot}%{_datadir}/dbus-1/services/org.moblin.UX.Shell.Panels.internet.service.moblin

%find_lang moblin-web-browser  

%post
update-alternatives --verbose --install %{_bindir}/moblin-web-browser moblin-web-browser %{_bindir}/moblin-web-browser.moblin 10 \
    --slave /usr/share/applications/moblin-web-browser.desktop moblin-web-browser.desktop /usr/share/applications/moblin-web-browser.desktop.moblin

%postun
if [ $1 = 0 ]; then
   %{_sbindir}/update-alternatives --remove moblin-web-browser %{_bindir}/moblin-web-browser.moblin
fi


%post panel
update-alternatives --verbose --install %{_libexecdir}/moblin-panel-web moblin-panel-web %{_libexecdir}/moblin-panel-internet 10  \
 --slave /usr/share/dbus-1/services/org.moblin.UX.Shell.Panels.internet.service org.moblin.UX.Shell.Panels.internet.service /usr/share/dbus-1/services/org.moblin.UX.Shell.Panels.internet.service.moblin

%postun panel
if [ $1 = 0 ]; then
   %{_sbindir}/update-alternatives --remove moblin-panel-web %{_libexecdir}/moblin-panel-internet
fi


%clean
rm -rf %{buildroot}

%files -f moblin-web-browser.lang
%defattr(-,root,root,-)
%{_bindir}/moblin-web-browser.moblin
/usr/share/applications/moblin-web-browser.desktop.moblin
/usr/share/moblin-web-browser/*
/usr/share/pixmaps/moblin-web-browser.png
/usr/lib/xulrunner-1.9.2a1pre-headless/*

%files panel
%defattr(-,root,root,-)
%{_libexecdir}/moblin-panel-internet
%{_datadir}/dbus-1/services/org.moblin.UX.Shell.Panels.internet.service.moblin


%changelog
* Tue Oct 27 2009 Anas Nashif <anas.nashif@intel.com> - 2.1.2_20091027
- Provide panel(web), fixes MB#7355
* Tue Oct 27 2009 Chris Lord <chris@linux.intel.com> 2.1.2_20091027
- Update translations
- Fix fullscreen plugin focus issues (MB #7436)
* Tue Oct 27 2009 Chris Lord <chris@linux.intel.com> 2.1.1_20091027
- Update translations
- Fix gradients in net panel (MB #7431)
* Mon Oct 26 2009 Chris Lord <chris@linux.intel.com> 2.1.1_20091026
- Finish renaming 'Favorites'->'Most visited' (MB #6797)
- Fix fixed-height panel (MB #5144)
- Bump version to 2.1.1
* Mon Oct 26 2009 Chris Lord <chris@linux.intel.com> 2.1.0_20091025
- Rename moblin-panel-internet to moblin-panel-web
* Sun Oct 25 2009 Chris Lord <chris@linux.intel.com> 2.1.0_20091025
- Update to commit ada3ee42e3448144a75ad8baa52d3a9d2fc16c7a
- Update translations
- Correct start page URL in internet panel
- Replace horizontal scrollbars with page buttons in internet panel
- Restore focus correctly on (de)activate (MB #6810)
- Update designs for start page and settings page
- Update current-tab number correctly (MB #4749)
- Fix display of visit time for pinned pages
- Fix themeing of video controls (MB #6134)
- Handle undetermined size in downloads tab (MB #7095)
- Bump version to 2.1.0
* Tue Oct 20 2009 Chris Lord <chris@linux.intel.com> 1.9.3_20091020
- Update to commit fe2d3eb7ebc36e3dd6994b5130fd863c4c321fd9
- Update translations
- Improve thumbnailing service (MB #3007)
- Select text on focus of the location bar
- Rename 'Favorite pages' -> 'Most visited' (MB #6797)
- Don't restore session by default (added setting)
- Exit gracefully when given invalid parameters (MB #2742)
* Sun Oct 18 2009 Anas Nashif <anas.nashif@intel.com> - 1.9.3_20091015
- Co-exit with new browser
* Thu Oct 15 2009 Chris Lord <chris@linux.intel.com> 1.9.3_20091015
- Update to commit 32c15e180cdd31d95ca98f4b2bb528f7e9c5cebd
- Update translations
- Set preview mode on new tabs (MB #5195)
- Don't force close on pages (MB #4210)
- Tweak loading progress reporting
- Implement more context menu features
- Add support for pixbuf cursors
- Add more shortcuts (MB #2102)
- Set the tab title as 'Loading' initially instead of 'Untitled'
- Add download tab filter and clear button (MB #4103)
* Fri Oct  9 2009 Chris Lord <chris@linux.intel.com> 1.9.3_20091009
- Update to commit 95761dbdb417eec8af5e0d9739520925d7edf8f1
- Update translations
- Use error pages instead of dialogs (MB #5390, 4678)
- Tweaks to pinned-pages page (MB #6621)
* Thu Oct  8 2009 Chris Lord <chris@linux.intel.com> 1.9.3_20091008
- Update to commit 4a0402dd0ede9ebc83a253a8c635b2310d18fa50
- Improve session saving (MB #6302)
- Disable native scrolling for now (MB #4732,4971,5148,6132)
- Add animation when showing popup
- Tweak padding (MB #6562)
- Fix bad ClutterStage assumption during startup (MB #6587)
- Add some arbitrary padding for tooltips (MB #4393)
* Tue Oct  6 2009 Chris Lord <chris@linux.intel.com> 1.9.3_20091006
- Update to commit 56cc6cd9cbdc85eaa0224676fa55a5dc752532be
- Add code to circumvent focus-stealing prevention in window manager
- Fix a leak in the download-launching code
* Mon Oct  5 2009 Chris Lord <chris@linux.intel.com> 1.9.3_20091005
- Update to commit d8f9b2df8d1184cd321f813a563d9ca114e47e3b
- Update translations
- Styling tweaks for pinned pages page and start page
- Don't allow removing or adding pages in private mode
- Implement find-in-page
* Fri Oct  2 2009 Neil Roberts <neil@linux.intel.com> 1.9.3_20090929
- Fix the oom_adj setting
* Tue Sep 29 2009 Chris Lord <chris@linux.intel.com> 1.9.3_20090929
- Update to commit 6ee05d3eb19ec1634f551a9da5e90650fcd1ba81
- Set the default for general.useragent.locale
- Use nsIPrivateBrowserService to detect private browsing
- Adapt to new clutter-mozembed plugin mechanism
- Fix hover-state on new-tab button
- Fix size of tab buttons ('fuzzy' buttons)
- Add spinner when loading pages
- Update translations
- Bump version to 1.9.3
* Fri Sep 25 2009 Chris Lord <chris@linux.intel.com> 1.9.2_20090925
- Update to commit 6bbcb16af3bec36c0def29d8cf3a9a10dced783f
- Add the pinned pages management page
- Fix auto-complete list not appearing on net panel
* Mon Sep 21 2009 Chris Lord <chris@linux.intel.com> 1.9.2_20090921
- Update to commit 16789c631a1ce4158880a3e97f0ca89ec6eb7020
- Update scrollbar assets
- Make tabs inactive by default (fixes opening a new tab in the background)
- Update translations
* Fri Sep 18 2009 Chris Lord <chris@linux.intel.com> 1.9.2_20090918
- Update to commit 813950cd1bfa223a29f13ded6fa410787607a3ae
- Port to Nbtk 1.2
- Add drag-and-drop for tabs
- Revert to the page's URL when the user presses escape
- Add ability to remove pages from the start page
- Update translations
* Thu Sep 10 2009 Chris Lord <chris@linux.intel.com> 1.9.2_20090910
- Update to commit ae980eebf42cf911d17c9db29caa430f5f93e015
- Theme tweaks
- Show the page title in the location bar
- Fix distribution tarball creation
- Update translations
* Mon Sep  7 2009 Chris Lord <chris@linux.intel.com> 1.9.2_20090907
- Update to commit 909daa4da519ed3deedd7a78e5cc36ad29ef868a
- Update translations
- Add a preliminary XUL theme
- Don't activate tabs opened from the right-click menu
* Thu Aug 27 2009 Chris Lord <chris@linux.intel.com> 1.9.2_20090827
- Update to commit c9751e877a2365270dcd9b4f19b841eea89deb60
- Fix scrollbar themeing
* Wed Aug 26 2009 Chris Lord <chris@linux.intel.com> 1.9.2_20090826
- Update to commit eae1ff9cbec1839071dacad2f52086af7a51e31f
- Update translations
- Fix various themeing/style issues
- Add an implementation of nsIGeolocationPrompt
- Delay loading preferences until actor realisation
- Don't let the auto-complete list grow off the end of the stage
- Disable some security warnings by default (Moblin bug #5245)
- Use the default favicon if the favicon isn't available
- Set the default icon name for windows (Moblin bug #5463)
- Fix calculation for the days diff in formatTimeForDisplay
- Don't show a time for pinned pages that don't have them
- Allocate zero height for the auto-complete list when there are no results
- Use a full-scale cropped image instead of a scaled image for thumbnails
- Add a 'moblin:' protocol handler for the start and settings pages
- Regenerate thumbnails if the last image is more than 2 hours old
* Fri Jul 31 2009 Chris Lord <chris@linux.intel.com> 0.0~20090731
- Update to commit 8e0aba3a944f9a58d33c1c3dedba5e7095715fb6
- Moblin bug #4963 - After cleaning up browsering history, moblin browser
    can not be recognized by yahoo
- Moblin bug #4912 - Browser can't respond to any user input after starting
    to download the second file
- Moblin bug #4833 - Progress indicator should lie to give more positive
    immediate impact
- Moblin bug #4831 - Browser doesn't change the cursor to spinner / busy
    cursor when loading pages
* Wed Jul 29 2009 Damien Lespiau <damien.lespiau@intel.com> 0.0~20090728
- Add a patch for clutter-1.0
* Tue Jul 28 2009 Chris Lord <chris@linux.intel.com> 0.0~20090728
- Moblin bug #2927 - A web page cannot be thumbnailed to myzone if the
    web page is launched from internet panel
- Moblin bug #4679 - Proxy can not work fine after clearing browsering
    history
* Mon Jul 27 2009 Damien Lespiau <damien.lespiau@intel.com> 0.0~20090727
- Update to commit 1fa34b009d665bdba47f0a03741f4e531bb461a4
- Try to search instead of going to invalid urls (Fixes #2899)
- Fix previews getting different sizes (Fixes #4452)
- If launching fails, open the folder (Fixes #4673)
- Use insensitive back/forward buttons (Fixes #4680)
- Updated translations
* Fri Jul 24 2009 Damien Lespiau <damien.lespiau@intel.com> 0.0~20090724
- Update to commit 5560cb14d6b83d0cd6750e33cad48b3b50f93207
- Visual tweaks
- Clear the session history when the browser history is cleared
- Improve the intelligence of the domain auto completion
- Translation updates
* Tue Jul 21 2009 Damien Lespiau <damien.lespiau@intel.com> 0.0~20090721
- Update to commit 35a9118bf3f0100bacb270ab76711bcaa8727fa4
- Make sure to forward our reactive state (Fixes #4367)
- Better indications of progress
- Lot of smaller fixes
* Thu Jul 16 2009 Chris Lord <chris@linux.intel.com> 0.0~20090716
- Update to commit 21a87ad6052bcadf0e81c6706ca18104fc61f272
- Improve downloads manager
- Update some graphics
- Update translations
* Tue Jul 14 2009 Chris Lord <chris@linux.intel.com> 0.0~20090714
- Update to commit 90b0dea9d8fa9fa02464f16909492f8d0de25aaa
- Some fixes for private mode
* Mon Jul 13 2009 Chris Lord <chris@linux.intel.com> 0.0~20090713
- Update to commit ac71862c58f25eeea3594e03086ce1361d792cd7
- Fix pop-up menu
- Add private mode
- Add fullscreen mode
- Add broken certificate handling
- Update translations
* Fri Jul  3 2009 Damien Lespiau <damien.lespiau@intel.com> 0.0~20090703
- Update to commit 59776ae41103d8d96715b10e359084e5674dc378
- Add a popup menu
- translation update
* Wed Jul  1 2009 Ding Jian-feng <jian-feng.ding@intel.com> 0.0~20090630
- Re-package according the name change of xulrunner
  - pkg "Requires" to xulrunner-headless
  - pkg remove AutoReq
  - pkg add explicit "Requires" to nbtk
  - pkg "BuildRequires" to xulrunner-headless-devel
  - Patch to git snapshot, modify pkgconf depends in configure.ac
* Tue Jun 30 2009 Damien Lespiau <damien.lespiau@intel.com> 0.0~20090630
- Update to commit 92710365aaac1fcc624e4490c862af34b3e68011
* Thu Jun 25 2009 Chris Lord <chris@linux.intel.com>
- Updated snapshot:
  - Add display for page security status
* Wed Jun 24 2009 Chris Lord <chris@linux.intel.com>
- Updated snapshot:
  - Add translations
  - Make the start and settings page translatable
  - Fixes for mhs API changes
  - Fixes for clutter-mozembed API changes
  - Style tweaks
* Tue Jun 16 2009 Chris Lord <chris@linux.intel.com>
- Updated snapshot:
  - Implement native scrolling
  - Update to latest Nbtk
  - Fix the text in the search entry
  - Add more default search engines
  - Update to latest ClutterGtk
  - Implement search engine preferences
* Tue Jun  9 2009 Chris Lord <chris@linux.intel.com>
- Updated snapshot:
  - Add preliminary settings page
* Sat Jun  6 2009 Chris Lord <chris@linux.intel.com>
- Updated snapshot:
  - Use Clutter 1.0 functions to improve performance
  - Fix bug when viewing a page with a favicon, while having
    a tab open that used the default favicon
  - Fix styling issue with the scrollbar in the visual tab
    switcher
* Fri Jun  5 2009 Chris Lord <chris@linux.intel.com>
- Updated snapshot:
  - Show the last visit time in the pinned pages list
  - Fix thumbnail generation
  - Fix keyboard shortcuts
  - Update the favicon in the location bar
  - Some style tweaks
  - Fix session saving
  - Add a preliminary downloads handler
  - Port to latest Clutter and Nbtk
* Mon May 18 2009 Chris Lord <chris@linux.intel.com> 20090518
- Updated snapshot:
  - Tweaks to the start page
  - New settings page placeholder
* Mon May 18 2009 Chris Lord <chris@linux.intel.com> 20090518
- Updated snapshot:
  - Select text when focusing the url entry
  - Add shortcuts to prepend www. and append .com/.net/.org to
    the url in the location bar and activate
  - Add shortcuts to go between tabs
  - Display favicon in location bar
  - Style tweaks to new-tab page
  - Handle cursor change notifications
  - Fix window raising via DBus interface
  - Add page pinning
  - Fix creating large thumbnails when directory doesn't exist
* Thu May 14 2009 Chris Lord <chris@linux.intel.com> 20090514
- Updated snapshot:
  - Style tweaks to new-tab page
* Thu May 14 2009 Chris Lord <chris@linux.intel.com> 20090514
- Updated snapshot:
  - Dynamic new-tab page
  - Animated location-bar drop-down
  - Styling tweaks
* Wed May 13 2009 Chris Lord <chris@linux.intel.com> 20090513
- Updated snapshot:
  - Tweaked graphics/style
  - Clipboard support in the location bar
  - Open links in new tab
  - Set user agent
* Mon May 11 2009 Chris Lord <chris@linux.intel.com> 20090511
- Updated snapshot:
  - Use GTK for the main window
  - Hook up the settings button
  - Various bug fixes
* Mon May 11 2009 Xu Li <xu.li@intel.com> 20090423
- Add %%%%u in Exec key of desktop file; partially fix bug#2046
* Thu Apr 23 2009 Chris Lord <chris@linux.intel.com> 20090423
- Updated snapshot
* Wed Apr 22 2009 Chris Lord <chris@linux.intel.com> 20090422
- Updated snapshot
* Thu Apr 16 2009 Chris Lord <chris@linux.intel.com> 20090416
- Updated snapshot
* Wed Apr 15 2009 Chris Lord <chris@linux.intel.com> 20090415
- Updated snapshot
* Fri Apr 10 2009 Chris Lord <chris@linux.intel.com> 20090410
- Updated snapshot
* Tue Apr  7 2009 Chris Lord <chris@linux.intel.com> 20090407
- Updated snapshot
* Mon Apr  6 2009 Chris Lord <chris@linux.intel.com> 20090406
- Updated snapshot
* Thu Apr  2 2009 Chris Lord <chris@linux.intel.com> 20090402
- Updated snapshot
* Tue Mar 31 2009 Chris Lord <chris@linux.intel.com> 20090331
- Updated snapshot
* Mon Mar 30 2009 Chris Lord <chris@linux.intel.com> 20090330
- Updated snapshot
* Fri Mar 27 2009 Chris Lord <chris@linux.intel.com> 20090327
- Updated snapshot
* Wed Mar 25 2009 Chris Lord <chris@linux.intel.com> 20090325
- Updated snapshot
* Thu Mar 19 2009 Chris Lord <chris@linux.intel.com> 20090319
- Updated snapshot
* Fri Mar 13 2009 Chris Lord <chris@linux.intel.com> 20090313
- Updated snapshot
* Wed Mar 11 2009 Chris Lord <chris@linux.intel.com> 20090311
- Updated snapshot again again
* Wed Mar 11 2009 Chris Lord <chris@linux.intel.com> 20090311
- Updated snapshot again
* Wed Mar 11 2009 Chris Lord <chris@linux.intel.com> 20090311
- Updated snapshot
* Tue Mar 10 2009 Chris Lord <chris@linux.intel.com> 20090310
- Updated snapshot
* Thu Feb 26 2009 Chris Lord <chris@linux.intel.com> 20090226
- Updated snapshot
* Thu Feb 19 2009 Chris Lord <chris@linux.intel.com> 20090219
- Updated snapshot
* Thu Feb 12 2009 Chris Lord <chris@linux.intel.com> 20090212
- Updated snapshot
* Tue Feb 10 2009 Rusty Lynch <rusty.lynch@intel.com> 20090210
- Updating snapshot
* Fri Jan 30 2009 Joshua Lock <josh@linux.intel.com>
- Fix version scheme
- Update snapshot
* Mon Jan 26 2009 Joshua Lock <josh@linux.intel.com>
- Updated snapshot
* Fri Jan 16 2009 Anas Nashif <anas.nashif@intel.com> 20090116
- Initial Release
